﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:resx="clr-namespace:MyADA.Common.Views.Properties;assembly=MyADA.Common.Views"
             xmlns:ctrl="clr-namespace:CoreSDK.Controls;assembly=CoreSDK.MicroFramework.XamarinForms"
             xmlns:adaforms="clr-namespace:CoreSDK;assembly=CoreSDK.MicroFramework.XamarinForms"
             xmlns:ContentView="clr-namespace:MyADA.Common.Views.ContentViews;assembly=MyADA.Common.Views"
             xmlns:adabh="clr-namespace:CoreSDK.Behaviors;assembly=CoreSDK.MicroFramework.XamarinForms"
             x:Class="MyADA.Common.Views.MyOwnLeadsView" BackgroundColor="Transparent">
  <ContentPage.Resources>
    <ResourceDictionary>
      <adaforms:ItemVisibilityEventArgstemConverter
				x:Key="ItemVisibilityConverter" />
    </ResourceDictionary>
  </ContentPage.Resources>

  <Grid Grid.RowSpacing="0" VerticalOptions="FillAndExpand">

    <Grid.Behaviors>
      <adabh:ActivityIndicatorBehavior Label="{Static resx:Resources.Button_ActivityIndicator_Label}" />
    </Grid.Behaviors>

    <Grid.Padding>
      <OnPlatform x:TypeArguments="Thickness" iOS="0,20,0,0" Android="0" WinPhone="0" />
    </Grid.Padding>

    <Grid.RowDefinitions>
      <RowDefinition Height="50"/>
      <RowDefinition Height="*"/>
    </Grid.RowDefinitions>

    <!--HEADER-->
    <ContentView:Header Grid.Row="0"/>
    <ContentView:AdaFilter Grid.Row="0" HorizontalOptions="EndAndExpand"/>

    <!--CONTENT-->

    <!--<ScrollView Grid.Row="1" VerticalOptions="Fill">-->
    <Grid x:Name="mainGrid" Grid.Row="1" Grid.RowSpacing="0" Padding="{StaticResource VIEW_PADDING}">
      <Grid.RowDefinitions>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="*"/>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="*"/>
      </Grid.RowDefinitions>

      <!--TITLE-->
      <StackLayout Grid.Row="0" HeightRequest="{StaticResource TITLE_HEIGHT}" BackgroundColor="{DynamicResource BoxTitleBackgroundColor}">
        <ctrl:NormalFontLabel Text="{Static resx:Resources.MyOwnLeads_MyLeads_Text}" Style="{DynamicResource BoxTitleStyle}"/>
      </StackLayout>

      <!--TITLE REPEATER-->
      <Grid Grid.Row="1" Grid.ColumnSpacing="0" Grid.RowSpacing="0" BackgroundColor="{DynamicResource BoxItemBackgroundColor}">
        <Grid.RowDefinitions>
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
          <RowDefinition Height="*" />
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
        </Grid.RowDefinitions>

        <Grid.ColumnDefinitions>
          <ColumnDefinition Width="0.7" />
          <ColumnDefinition Width="*" />
          <ColumnDefinition Width="0.7" />
        </Grid.ColumnDefinitions>

        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />

        <Grid Grid.Column="1" Grid.Row="1" Padding="10,20,10,0">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*"/>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="*"/>
          </Grid.ColumnDefinitions>
          <ctrl:ExtendedBoldFontLabel Grid.Column="1" Text="{Static resx:Resources.MyOwnLeads_LeadsOfTheDay_Text}" Style="{DynamicResource BoxTitleItemStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
          <Image Grid.Column="2" Style="{DynamicResource RedCircleImageStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
          <Label Grid.Column="2" Text="{Binding NotifUseDayLeadsCollection}" Style="{DynamicResource NotifLabelStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
        </Grid>
      </Grid>

      <!--ICONE INFO-->
      <Grid Grid.Row="2" Grid.ColumnSpacing="0" Grid.RowSpacing="0" BackgroundColor="{DynamicResource BoxItemBackgroundColor}">
        <Grid.RowDefinitions>
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
          <RowDefinition Height="*" />
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
        </Grid.RowDefinitions>

        <Grid.ColumnDefinitions>
          <ColumnDefinition Width="0.7" />
          <ColumnDefinition Width="*" />
          <ColumnDefinition Width="0.7" />
        </Grid.ColumnDefinitions>

        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="2" />

        <Grid Grid.Column="1" Grid.Row="1" Grid.ColumnSpacing="10" Padding="20,0,20,5">
          <Grid.GestureRecognizers>
            <TapGestureRecognizer Command="{Binding MyOwnLeadsPopinVisibilityCommand}"/>
          </Grid.GestureRecognizers>
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="{StaticResource LEADITEM_GRID_WIDTH}"/>
            <ColumnDefinition Width="*"/>
          </Grid.ColumnDefinitions>
          
          <Image Grid.Column="0" Style="{DynamicResource ArrowSingleRedImageStyle}" Opacity="0"/>
          <Image Grid.Column="2" Style="{DynamicResource InformationBlackSmallImageStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="StartAndExpand"/>
        </Grid>
      </Grid>

      <!--REPEATER LEADS OF THE DAY-->
      <!--<ListView Grid.Row="3" x:Name="repeaterLeadsOfTheDay" BackgroundColor="Transparent" SeparatorVisibility="None" HasUnevenRows="True"
                    VerticalOptions="Fill" HorizontalOptions="FillAndExpand" ItemsSource="{Binding OnUseDayLeadsCollection}"
                    CachingStrategy="RecycleElement" SelectedItem="{Binding SelectedLead}" ItemSelected="OnItemSelected">
        <ListView.Behaviors>
          <adabh:ListViewPagningBehavior
            Command="{Binding LoadMoreLeadOfTheDateCommand}"
            Converter="{StaticResource ItemVisibilityConverter}">
          </adabh:ListViewPagningBehavior>
        </ListView.Behaviors>
        <ListView.ItemTemplate>
          <DataTemplate>
            <ViewCell>
              <ViewCell.View>
                <Grid ColumnSpacing="0" RowSpacing="0" IsVisible="{Binding IsLineVisble}">

                  <Grid.RowDefinitions>
                    <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                    <RowDefinition Height="*" />
                    <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                  </Grid.RowDefinitions>

                  <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="0.7" />
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="0.7" />
                  </Grid.ColumnDefinitions>

                  <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
                  <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
                  <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="2" />

                  <Grid Grid.Column="1" Grid.Row="1" Grid.ColumnSpacing="10" BackgroundColor="{DynamicResource BoxItemBackgroundColor}" Padding="20,10">
                    <Grid.ColumnDefinitions>
                      <ColumnDefinition Width="Auto"/>
                      <ColumnDefinition Width="{StaticResource LEADITEM_GRID_WIDTH}"/>
                      <ColumnDefinition Width="*"/>
                    </Grid.ColumnDefinitions>

                    <Image Grid.Column="0" Style="{DynamicResource ArrowSingleRedImageStyle}"/>
                    <ctrl:NormalFontLabel Grid.Column="1" Text="{Binding Tag}" Style="{DynamicResource BoxSmallLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand"/>
                    <Image Grid.Column="2" Style="{Binding StatusColor, Converter={StaticResource HorlogeStatusConverter}}" VerticalOptions="CenterAndExpand" HorizontalOptions="StartAndExpand" />
                  </Grid>
                </Grid>
              </ViewCell.View>
            </ViewCell>
          </DataTemplate>
        </ListView.ItemTemplate>
      </ListView>-->
      
      <!--<ListView.Triggers>
          <EventTrigger Event="ItemTapped">
            <adaforms:CommandAction Command="{Binding ShowMyLeadDetailsCommand}" />
          </EventTrigger>
        </ListView.Triggers>-->

      <!--<ctrl:RepeaterView Grid.Row="3" x:Name="repeaterLeadsOfTheDay" ItemSpacing="0" HasDottedLines="False" BackgroundColor="Transparent" 
                           VerticalOptions="Fill" HorizontalOptions="FillAndExpand" ItemsSource="{Binding OnUseDayLeadsCollection}">
          <ctrl:RepeaterView.ItemTemplate>
            <DataTemplate>

              <Grid ColumnSpacing="0" RowSpacing="0" IsVisible="{Binding IsLineVisble}">

                <Grid.RowDefinitions>
                  <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                  <RowDefinition Height="*" />
                  <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                </Grid.RowDefinitions>

                <Grid.ColumnDefinitions>
                  <ColumnDefinition Width="0.7" />
                  <ColumnDefinition Width="*" />
                  <ColumnDefinition Width="0.7" />
                </Grid.ColumnDefinitions>

                <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="Gray" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
                <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="Gray" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
                <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="Gray" Grid.Column="1" Grid.Row="2" />

                <Grid Grid.Column="1" Grid.Row="1" Grid.ColumnSpacing="10" BackgroundColor="{DynamicResource BoxItemBackgroundColor}" Padding="20,10">
                  <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="Auto"/>
                  </Grid.ColumnDefinitions>

                  <Image Grid.Column="0" Style="{DynamicResource ArrowSingleRedImageStyle}"/>
                  <Label Grid.Column="1" Text="{Binding Tag}" Style="{DynamicResource BoxMediumLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand"/>
                  <Image Grid.Column="2" Style="{Binding StatusColor, Converter={StaticResource HorlogeStatusConverter}}" VerticalOptions="CenterAndExpand" HorizontalOptions="EndAndExpand" />
                  <Image Grid.Column="2" Style="{DynamicResource TimerRedImageStyle}" HorizontalOptions="EndAndExpand" VerticalOptions="CenterAndExpand"/>
                </Grid>

                <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="Transparent" Grid.Column="1" Grid.Row="1" >
                  <StackLayout.GestureRecognizers>
                    <TapGestureRecognizer Command="{Binding Path=BindingContext.ShowMyLeadDetailsCommand, Source={x:Reference repeaterLeadsOfTheDay}}" CommandParameter="{Binding }"  />
                  </StackLayout.GestureRecognizers>
                </StackLayout>
              </Grid>

            </DataTemplate>
          </ctrl:RepeaterView.ItemTemplate>
        </ctrl:RepeaterView>-->

      <!--TITLE REPEATER-->
      <Grid Grid.Row="4" Grid.ColumnSpacing="0" Grid.RowSpacing="0" BackgroundColor="{DynamicResource BoxItemBackgroundColor}" VerticalOptions="FillAndExpand">
        <Grid.RowDefinitions>
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
          <RowDefinition Height="*" />
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
        </Grid.RowDefinitions>

        <Grid.ColumnDefinitions>
          <ColumnDefinition Width="0.7" />
          <ColumnDefinition Width="*" />
          <ColumnDefinition Width="0.7" />
        </Grid.ColumnDefinitions>
        
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="0" />
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="2" />

        <Grid Grid.Column="1" Grid.Row="1" Padding="10,10">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*"/>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="*"/>
          </Grid.ColumnDefinitions>
          <ctrl:ExtendedBoldFontLabel Grid.Column="1" Text="{Static resx:Resources.MyOwnLeads_LeadsOnGoing_Text}" Style="{DynamicResource BoxTitleItemStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
          <Image Grid.Column="2" Style="{DynamicResource RedCircleImageStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
          <Label Grid.Column="2" Text="{Binding NotifUseOthersDayLeadsCollection}" Style="{DynamicResource NotifLabelStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
        </Grid>
      </Grid>

      <!--REPEATER LEADS ON GOING-->
      <!--<ctrl:RepeaterView Grid.Row="5" x:Name="repeaterLeadsOnGoing" ItemSpacing="0" HasDottedLines="False" BackgroundColor="Transparent" 
                           VerticalOptions="Fill" HorizontalOptions="FillAndExpand" ItemsSource="{Binding OnUseOthersDayLeadsCollection}">
          <ctrl:RepeaterView.ItemTemplate>
            <DataTemplate>

              <Grid ColumnSpacing="0" RowSpacing="0" IsVisible="{Binding IsLineVisble}">

                <Grid.RowDefinitions>
                  <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                  <RowDefinition Height="*" />
                  <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                </Grid.RowDefinitions>

                <Grid.ColumnDefinitions>
                  <ColumnDefinition Width="0.7" />
                  <ColumnDefinition Width="*" />
                  <ColumnDefinition Width="0.7" />
                </Grid.ColumnDefinitions>

                <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="Gray" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
                <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="Gray" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
                <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="Gray" Grid.Column="1" Grid.Row="2" />

                <Grid Grid.Column="1" Grid.Row="1" Grid.ColumnSpacing="10" BackgroundColor="{DynamicResource BoxItemBackgroundColor}" Padding="20,10">
                  <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="Auto"/>
                  </Grid.ColumnDefinitions>

                  <Image Grid.Column="0" Style="{DynamicResource ArrowSingleRedImageStyle}"/>
                  <Label Grid.Column="1" Text="{Binding Tag}" Style="{DynamicResource BoxMediumLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand"/>
                  <Label Grid.Column="2" Text="{Binding FormattedDate}" Style="{DynamicResource BoxItalicLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand"/>
                  <Image Grid.Column="3" Style="{Binding StatusColor, Converter={StaticResource HorlogeStatusConverter}}" VerticalOptions="CenterAndExpand" HorizontalOptions="EndAndExpand" />
                  <Image Grid.Column="3" Style="{DynamicResource TimerRedImageStyle}" HorizontalOptions="EndAndExpand" VerticalOptions="CenterAndExpand"/>
                </Grid>

                <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="Transparent" Grid.Column="1" Grid.Row="1" >
                  <StackLayout.GestureRecognizers>
                    <TapGestureRecognizer Command="{Binding Path=BindingContext.ShowMyLeadDetailsCommand, Source={x:Reference repeaterLeadsOnGoing}}" CommandParameter="{Binding }"  />
                  </StackLayout.GestureRecognizers>
                </StackLayout>
              
              </Grid>

            </DataTemplate>
          </ctrl:RepeaterView.ItemTemplate>
        </ctrl:RepeaterView>-->

      <!--<ListView Grid.Row="5" x:Name="repeaterLeadsOnGoing" BackgroundColor="Transparent" SeparatorVisibility="None" HasUnevenRows="True"
                    VerticalOptions="Fill" HorizontalOptions="FillAndExpand" ItemsSource="{Binding OnUseOthersDayLeadsCollection}"
                    CachingStrategy="RecycleElement" SelectedItem="{Binding SelectedLead}" ItemSelected="OnItemSelected">
        <ListView.Behaviors>
          <adabh:ListViewPagningBehavior
            Command="{Binding LoadMoreLeadOnGoingCommand}"
            Converter="{StaticResource ItemVisibilityConverter}">
          </adabh:ListViewPagningBehavior>
        </ListView.Behaviors>
        <ListView.ItemTemplate>
          <DataTemplate>
            <ViewCell>
              <ViewCell.View>
                <Grid ColumnSpacing="0" RowSpacing="0" IsVisible="{Binding IsLineVisble}">
                  <Grid.RowDefinitions>
                    <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                    <RowDefinition Height="*" />
                    <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
                  </Grid.RowDefinitions>

                  <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="0.7" />
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="0.7" />
                  </Grid.ColumnDefinitions>

                  <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
                  <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
                  <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="2" />

                  <Grid Grid.Column="1" Grid.Row="1" ColumnSpacing="10" RowSpacing="0" BackgroundColor="{DynamicResource BoxItemBackgroundColor}" Padding="20,10">
                    <Grid.ColumnDefinitions>
                      <ColumnDefinition Width="Auto"/>
                      <ColumnDefinition Width="{StaticResource LEADITEM_GRID_WIDTH}"/>
                      <ColumnDefinition Width="*"/>
                    </Grid.ColumnDefinitions>

                    <Image Grid.Column="0" Style="{DynamicResource ArrowSingleRedImageStyle}" VerticalOptions="CenterAndExpand"/>

                    <Grid Grid.Column="1" ColumnSpacing="0" VerticalOptions="CenterAndExpand">
                      <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="*"/>
                        <ColumnDefinition Width="Auto"/>
                      </Grid.ColumnDefinitions>
                      
                      <ctrl:NormalFontLabel Grid.Column="0" Text="{Binding Tag}" Style="{DynamicResource BoxSmallLabelStyle}" LineBreakMode="TailTruncation" HorizontalOptions="StartAndExpand" VerticalOptions="EndAndExpand"/>

                      <StackLayout Grid.Column="1" Padding="0,0,0,2">
                        <ctrl:ItalicFontLabel Text="{Binding FormattedDate}" Style="{DynamicResource BoxItalicLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="EndAndExpand"/>
                      </StackLayout>
                    </Grid>
                    
                    <Image Grid.Column="2" Style="{Binding StatusColor, Converter={StaticResource HorlogeStatusConverter}}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand" />
                    
                  </Grid>
                </Grid>
              </ViewCell.View>
            </ViewCell>
          </DataTemplate>
        </ListView.ItemTemplate>-->
        <!--<ListView.Triggers>
          <EventTrigger Event="ItemTapped">
            <adaforms:CommandAction Command="{Binding ShowMyLeadDetailsCommand}" />
          </EventTrigger>
        </ListView.Triggers>-->
      <!--</ListView>-->
    </Grid>
    <!--</ScrollView>-->

    <!--POPIN-->
    <Grid x:Name="popinTimer" Grid.Row="1" Grid.RowSpacing="0" IsVisible="{Binding MyOwnLeadsPopinIsVisible}" Padding="40,0">
      <Grid.RowDefinitions>
        <RowDefinition Height="*"/>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="*"/>
      </Grid.RowDefinitions>

      <!--Permet de désactiver les click sur les zones tranparentes-->
      <StackLayout Grid.Row="0" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand">
        <StackLayout.GestureRecognizers>
          <TapGestureRecognizer Command="{Binding}"/>
        </StackLayout.GestureRecognizers>
      </StackLayout>
      <StackLayout Grid.Row="2" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand">
        <StackLayout.GestureRecognizers>
          <TapGestureRecognizer Command="{Binding}"/>
        </StackLayout.GestureRecognizers>
      </StackLayout>

      <Grid Grid.Row="1" Grid.RowSpacing="20" BackgroundColor="{DynamicResource DarkPopinBackgroundColor}" Padding="40,10,10,40">
        <Grid.RowDefinitions>
          <RowDefinition Height="Auto"/>
          <RowDefinition Height="Auto"/>
          <RowDefinition Height="Auto"/>
          <RowDefinition Height="Auto"/>
        </Grid.RowDefinitions>

        <Image Grid.Row="0" Style="{DynamicResource WhiteCrossImageStyle}" HorizontalOptions="EndAndExpand">
          <Image.GestureRecognizers>
            <TapGestureRecognizer Command="{Binding MyOwnLeadsPopinVisibilityCommand}"/>
          </Image.GestureRecognizers>
        </Image>

        <Grid Grid.Row="1" Grid.ColumnSpacing="20">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="*"/>
          </Grid.ColumnDefinitions>

          <Image Grid.Column="0" Style="{DynamicResource TimerDarkGrayImageStyle}"/>
          <ctrl:NormalFontLabel Grid.Column="1" Text="{Static resx:Resources.MyOwnLeads_Less12Hours_Text}" Style="{DynamicResource DarkPopinLabelStyle}"/>
        </Grid>

        <Grid Grid.Row="2" Grid.ColumnSpacing="20">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="*"/>
          </Grid.ColumnDefinitions>

          <Image Grid.Column="0" Style="{DynamicResource TimerOrangeImageStyle}"/>
          <ctrl:NormalFontLabel Grid.Column="1" Text="{Static resx:Resources.MyOwnLeads_12To24_Text}" Style="{DynamicResource DarkPopinLabelStyle}"/>
        </Grid>

        <Grid Grid.Row="3" Grid.ColumnSpacing="20">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="*"/>
          </Grid.ColumnDefinitions>

          <Image Grid.Column="0" Style="{DynamicResource TimerRedImageStyle}"/>
          <ctrl:NormalFontLabel Grid.Column="1" Text="{Static resx:Resources.MyOwnLeads_24To48_Text}" Style="{DynamicResource DarkPopinLabelStyle}"/>
        </Grid>


      </Grid>
    </Grid>

    <!--FILTRE-->
    <ContentView:FilterView Grid.Row="0" Grid.RowSpan="2" x:Name="filter" IsVisible="False"/>

    <ContentView:LoadingScreen Grid.Row="0" Grid.RowSpan="2" x:Name="LoadingScreen" IsVisible="{Binding IsBusy}" />

  </Grid>
</ContentPage>